Page MenuHomePhabricator

[REQUEST] Which features of RecentChanges are most often used?
Closed, ResolvedPublic

Description

What's requested:
Recent Changes pages have a variety of filtering options. As we consider the creation of a page that may be a replacement, of sorts, for Recent Changes, it’s important we understand which filtering features of the existing page are actually used. I’m referring to features such as the following:

  • Filter by Tags.
  • Filter by Namespace
  • by bots
  • registered/unregistered users
  • featured articles
  • good articles
  • living people
  • vital articles
  • new editor contributions
  • IP contributions
  • Mobile contributions
  • Related changes (which pages or categories are most commonly used for this?)

So, the goal is to find get some picture of which of these are used. Some of these create a new url, but not all (e.g., Namespace filter). So at a crude level, perhaps we could tell which of the URL variants are most popular.

Why it's requested:
This project will inform our decision making as we spec out the MVP features for our first product of the Edit Review Improvements project.

When it's requested:
Proposed deadlines: a first draft of the data by 7/29. Final draft by 8/4

Other helpful information:

Jmatazzoni is the project requester.

For context, have a look at the Edit Review Improvements page. The product being created will be the first version of a review page; see some early concept explorations.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 25 2016, 10:47 PM
Catrope renamed this task from [REQUEST] to [REQUEST] Which RecentChanges filters are used?.Jul 25 2016, 10:48 PM

@jmatazzoni, could you explain what your deadlines are tied to so we can prioritize appropriately? Thank you!

nshahquinn-wmf triaged this task as Medium priority.Jul 26 2016, 6:06 PM
nshahquinn-wmf moved this task from Helen's in progress to Blocked on the Contributors-Analysis board.
nshahquinn-wmf moved this task from Blocked to Helen's in progress on the Contributors-Analysis board.

@Neil_P._Quinn_WMF asks:

@jmatazzoni, could you explain what your deadlines are tied to so we can prioritize appropriately? Thank you!

This will help us understand what information needs to be included in the feed. It' part of product design. Since this relates to a feature that might be part of the interface, it impacts the design stage, which is in progress. Does that answer your question?

jmatazzoni renamed this task from [REQUEST] Which RecentChanges filters are used? to [REQUEST] Which RecentChanges tags are used for filtering most? .Aug 9 2016, 8:56 PM
nshahquinn-wmf raised the priority of this task from Medium to High.Aug 16 2016, 5:41 PM
nshahquinn-wmf lowered the priority of this task from High to Medium.
nshahquinn-wmf renamed this task from [REQUEST] Which RecentChanges tags are used for filtering most? to [REQUEST] Which features of RecentChanges are most often used?.Aug 19 2016, 1:12 AM
nshahquinn-wmf claimed this task.
nshahquinn-wmf updated the task description. (Show Details)
jmatazzoni closed this task as Resolved.Jan 5 2017, 7:11 PM

If we have the results for this, it would be great to add them to the ticket.
If not, we may want to mark the task as declined/invalid instead of resolved to avoid the confusion.

Usage should be broken down by group of users. For instance, if a feature is used by a large number of sysops, that's important to know even if the total usage is low; if 1 % of users uses a certain feature daily, it means the feature is very important to them.

nshahquinn-wmf raised the priority of this task from Medium to Needs Triage.Mar 30 2018, 10:27 AM
nshahquinn-wmf moved this task from Neil's in progress to Done on the Contributors-Analysis board.